<?php

namespace App\Filters;

class GoodsFilter extends Filters
{
    protected function goodsTitle($value)
    {
        return $this->builder->where('title', 'like', "%$value%");
    }

    protected function typeId($value)
    {
        return $this->builder->where('type_id', '=', $value);
    }

    protected function brandId($value)
    {
        return $this->builder->where('brand_id', '=', $value);
    }
}
